Core - Bug # 55475

Status: Resolved Priority: Must have
Author: Jesper Mathiasen Category:

Created: 2014-01-30 Assigned To:

Updated: 2014-01-31 Due date:

TYPO3 Version: 6.1

PHP Version: 5.5

Complexity: no-brainer

Is Regression: No

Sprint Focus:

Subject: Error when saving Domain system record

Description
When saving a domain system record an error occurs on line 2339 of typo3/sysext/core/Classes/DataHandling/DataHandler.php

case 'domainname”:
if (Ipreg_match('/"[a-z0-9.\\-]*$/i', $value)) {
$value = GeneralUtility::idnaEncode($value);

}

break;

$value = GeneralUtility::idnaEncode($value);
should be  \TYPO3\CMS\Core\Utility\GeneralUtility::idnaEncode($value);

This bug was introduced in commit using hash ~ c99a07a9442ea1ddbe0ce95881251eb927c209ac

Related issues:
related to Core - Bug # 53862: isValidUrl idna converts whole URI instead of ... Resolved 2013-11-22

Associated revisions

Revision 3dcc61df - 2014-01-30 23:46 - Wouter Wolters

[BUGFIX] Regression in DataHandler

The fix for issue #53862 calls GeneralUtility::idnaEncode
without fully qualified class namespace.

Follow-up to: c99a07a9

Resolves: #55475

Releases: 6.1, 6.0

Change-Id: I8ba161ee73e7456da53d2182b4a22d87dad9d53c
Reviewed-on: https://review.typo3.org/27173

Reviewed-by: Steffen Mller
Tested-by: Steffen Mdiller
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision dc271e4f - 2014-01-30 23:57 - Wouter Wolters
https://review.typo3.org/27173

[BUGFIX] Regression in DataHandler

The fix for issue #53862 calls GeneralUtility::idnaEncode
without fully qualified class namespace.

Follow-up to: c99a07a9

Resolves: #55475

Releases: 6.1, 6.0

Change-Id: 18ba161ee73e7456da53d2182b4a22d87dad9d53¢c
Reviewed-on: https://review.typo3.org/27174

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-01-30 18:44 - Jesper Mathiasen

This occurs in V 6.1.7

#2 - 2014-01-30 23:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27173

#3 - 2014-01-30 23:24 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27173

#4 - 2014-01-30 23:56 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27174

#5 - 2014-01-31 00:30 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dc271e4fe63c7c960e087becc5f9f3e98e57d39a.
